Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227111 - Review Request: qdox - Extract class/interface/method definitions from sources
Summary: Review Request: qdox - Extract class/interface/method definitions from sources
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:56 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 18:14:52 UTC
nsantos: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:56:03 UTC
Spec URL: http://people.redhat.com/rafaels/specs/qdox-1.5-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/qdox-1.5-2jpp.src.rpm
Description: QDox is a high speed, small footprint parser
for extracting class/interface/method definitions
from source files complete with JavaDoc @tags.
It is designed to be used by active code
generators or documentation tools.

Javadoc for qdox.

Comment 1 Permaine Cheung 2007-02-16 05:16:05 UTC
X indicates items required fixing:
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
* license field matches the actual license.
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
X verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie.
  # svn export http://svn.qdox.codehaus.org/tags/QDOX_1_5/qdox
  # tar cjf blah-version-src.tar.bz2 blah
Need to specify how to get to the src tar ball, also it's now using svn instead
of cvs
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
X if %{?dist} is used, it should be in that form (note the ? and %
locations)
Release needs to be fixed.
* license text included in package and marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
X rpmlint on <this package>.srpm gives no output
W: qdox non-standard-group Development/Libraries/Java
W: qdox invalid-license Apache-style Software License
W: qdox mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 48)
 
* changelog should be in one of these formats:
 
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.
 
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.
 
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.
 
* Packager tag should not be used
X Vendor tag should not be used
X Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - remove BuildArch: noarch when adding gcj support.
 - BR: maven should be fixed, use ant instead.
 - get rid of BR for mockmaker, jmock
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
* make sure lines are <= 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires /home/pcheung/qdox-1.5-2jpp.1.noarch.rpm
java
jpackage-utils
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides /home/pcheung/qdox-1.5-2jpp.1.noarch.rpm
qdox = 0:1.5-2jpp.1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires
/home/pcheung/qdox-javadoc-1.5-2jpp.1.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides
/home/pcheung/qdox-javadoc-1.5-2jpp.1.noarch.rpm
qdox-javadoc = 0:1.5-2jpp.1
 
* run rpmlint on the binary RPMs
rpmlint on rpmbuild built on i386:
W: qdox non-standard-group Development/Libraries/Java
W: qdox invalid-license Apache Software License style
W: qdox non-standard-group Development/Libraries/Java
W: qdox invalid-license Apache Software License style
W: qdox-javadoc non-standard-group Development/Documentation
W: qdox-javadoc invalid-license Apache Software License style
 
SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock
will try this out when byaccj is available in mock.
 
spec file and srpms at:
https://pcheung.108.redhat.com/files/documents/174/226/qdox.spec
https://pcheung.108.redhat.com/files/documents/174/227/qdox-1.5-2jpp.1.src.rpm


Comment 2 Permaine Cheung 2007-02-17 03:51:21 UTC
Added ant-nodeps as BR.
Built successfully in mock, rpmlint on mock built rpms:
[pcheung@to-fcjpp1 ~]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/*rpm
W: qdox non-standard-group Development/Libraries/Java
W: qdox invalid-license Apache Software License style
W: qdox non-standard-group Development/Libraries/Java
W: qdox invalid-license Apache Software License style
W: qdox-javadoc non-standard-group Development/Documentation
W: qdox-javadoc invalid-license Apache Software License style

[pcheung@to-fcjpp1 ~]$ rpm -qp --provides 
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/qdox-1.5-2jpp.1.fc7.noarch.rpm
qdox = 0:1.5-2jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -qp --requires 
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/qdox-1.5-2jpp.1.fc7.noarch.rpm
java
jpackage-utils
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 ~]$ rpm -qp --provides 
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/qdox-javadoc-1.5-2jpp.1.fc7.noarch.rpm
qdox-javadoc = 0:1.5-2jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -qp --requires 
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/qdox-javadoc-1.5-2jpp.1.fc7.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

spec file and srpm updated, available at the same location.

Comment 3 Nuno Santos 2007-02-19 16:11:13 UTC
marking fedora-review+


qdox-1.5-2jpp.1.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK - use acronyms for licences where common
OK* specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
OK * correct buildroot
OK * if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK * license text included in package and marked with %doc
OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
OK * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint qdox-1.5-2jpp.1.src.rpm
W: qdox non-standard-group Development/Libraries/Java
W: qdox invalid-license Apache Software License style
(these warnings look ok)
--

OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
OK * package successfully compiles and builds on at least x86
OK * BuildRequires are proper
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
OK * make sure lines are <= 80 characters
OK * specfile written in American English
OK * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
OK * consider using cp -p to preserve timestamps
OK * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
OK * verify the final provides and requires of the binary RPMs
OK * run rpmlint on the binary RPMs

SHOULD:
OK * package should include license text in the package and mark it with %doc
OK * package should build on i386
OK * package should build in mock


Comment 4 Matt Wringe 2007-03-06 15:51:48 UTC
New Package CVS Request
=======================
Package Name: qdox
Short Description: Extract class/interface/method definitions from sources
Owners: mwringe@redhat.com
Branches: devel
InitialCC: 

Comment 5 Jens Petersen 2007-03-09 12:10:18 UTC
added


Note You need to log in before you can comment on or make changes to this bug.